Name:    kmix
Summary: KDE volume control
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+ and GFDL
URL:     https://invent.kde.org/multimedia/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


Patch2:  kmix-21.04.0-autostart_disable.patch

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(libpulse) pkgconfig(libpulse-mainloop-glib)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kglobalaccel-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kcmutils-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-kdelibs4support-devel
BuildRequires: kf5-kinit-devel >= 5.10.0-3
%{?kf5_kinit_requires}
BuildRequires: kf5-plasma-devel

BuildRequires: pkgconfig(Qt5Gui)

Provides:  kdemultimedia-kmix = 6:%{version}-%{release}

Conflicts: kde-l10n < 17.03

%description
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.kmix.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.kmix.desktop


%files -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%license COPYING*
%{_datadir}/dbus-1/interfaces/org.kde.kmix.control.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmix.mixer.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmix.mixset.xml
%{_datadir}/icons/hicolor/*/*/kmix.*
%{_kf5_bindir}/kmix
%{_kf5_bindir}/kmixctrl
%{_kf5_bindir}/kmixremote
%{_kf5_datadir}/applications/org.kde.kmix.desktop
%{_kf5_metainfodir}/org.kde.kmix.appdata.xml
%{_kf5_datadir}/config.kcfg/kmixsettings.kcfg
%{_kf5_datadir}/kmix/
%{_kf5_datadir}/kxmlgui5/kmix/
%{_kf5_datadir}/qlogging-categories5/kmix*
%{_sysconfdir}/xdg/autostart/restore_kmix_volumes.desktop
%{_sysconfdir}/xdg/autostart/kmix_autostart.desktop
%{_kf5_datadir}/knotifications5/kmix.notifyrc
%{_kf5_datadir}/kservices5/kmixctrl_restore.desktop
%{_kf5_libdir}/libkmixcore.so.5*
%{_kf5_libdir}/libkmixcore.so.%{version}
%{_kf5_plugindir}/kded/kmixd.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
